C
C SUBROUTINE 'TSTRNG'
C ===================
C
C Output a text string to the terminal starting at the current cursor position
C (trailing blanks are not removed)
C (carriage control at end is undefined)
C Note: This routine does not write to log file
C
      SUBROUTINE TSTRNG (STR)
C
C Parameters:
C
C      STR (I)   Character string to be output
C
C====== Specification statements
C
      CHARACTER*(*) STR
      LOGICAL LOG
      COMMON /TTCOMN/ LUNR, LUNW, LUNLR, LUNLW, MODETT, LOG
      SAVE /TTCOMN/
C
C====== Output string
C
      IF (MODETT.EQ.0) THEN
         IF (LUNW.GT.0) CALL TTSEND (LUNW, STR, 3)
      ENDIF
      RETURN
      END
